delete from report_sql where computer = {?computer};

-- num1  = id_privez
-- num2  = id_kupca
-- num3  = id_plovila
-- num4  = income
-- num5  = tevilo dni v obdobju
-- num6  = income na 30 dni
-- date1 = od
-- date2 = do
-- num7  = tevilo rezervacij na privezu v obdobju (dejansko bivanje na privezu)
-- str1  = indikator dejanskega bivanja na privezu


insert into report_sql (computer, num1, num2, num3, num4, num5, num6, date1, date2)
SELECT {?computer}, i.id_privez, i.id_lastnik, i.id_plovila, sum(i.znesek), {?to} - {?from},
       CASE WHEN {?to} - {?from} < 30 THEN sum(i.znesek) ELSE sum(i.znesek)/({?to} - {?from}) * 30 END, {?from}, {?to}
FROM m_storitve_income i
LEFT OUTER JOIN m_storitve s ON i.id_storitve = s.id_storitve 
LEFT OUTER JOIN m_nnstomar m on s.storitev = m.sifra
WHERE i.datum BETWEEN {?from} AND {?to}
AND i.id_racun_data IS NOT NULL 
AND m.berth_yield = 'Y'
GROUP BY i.id_privez, i.id_lastnik, i.id_plovila
;

UPDATE report_sql SET num7=
(SELECT count(*)
 FROM rezervac_detail
 LEFT OUTER JOIN rezervac ON rezervac_detail.id_rezervac=rezervac.id
 WHERE rezervac_detail.id_privez=report_sql.num1
 AND rezervac.id_lastnika=report_sql.num2
 AND rezervac.id_plovila=report_sql.num3
 AND rezervac_detail.datum_od <= {?to} AND rezervac_detail.datum_do >= {?from}
 AND rezervac_detail.status_rezervac=1)
WHERE computer={?computer};

UPDATE report_sql SET str1=CASE WHEN num7>0 THEN 'Y' ELSE 'N' END
WHERE computer={?computer};