DELETE FROM report_sql WHERE computer={?Computer};

INSERT INTO report_sql (computer, num1, str1, num2, num3, num4, num5, num6)
SELECT {?Computer}, a.id_artikel, a.id_grupa, a.nnlocation_id, sum(a.zaloga_prej), sum(a.prejemi), sum(a.izdaje), sum(a.zaloga_potem) FROM (
-- zaloga na dan (zadnji dan v mesecu)
SELECT id_artikel, id_grupa, nnlocation_id, 0 zaloga_prej, 0 prejemi, 0 izdaje, sum(prejem) - sum(izdaja) zaloga_potem 
FROM (
SELECT s_artikli.id_artikel, s_artikli.id_grupa, s_artikli.nnlocation_id,
       CASE WHEN s_dokument.tip = 'P' AND s_transakcije.kolicina >= 0
            THEN s_transakcije.kolicina ELSE 0
       END prejem,
       CASE WHEN s_dokument.tip = 'I' THEN s_transakcije.kolicina
            ELSE CASE WHEN s_transakcije.kolicina < 0 THEN s_transakcije.kolicina *-1 ELSE 0 END
       END izdaja
FROM s_poraba 
LEFT OUTER JOIN s_transakcije ON s_poraba.id_poraba=s_transakcije.id_poraba
LEFT OUTER JOIN s_transakcije s_transakcije_1 ON s_poraba.id_transakcija=s_transakcije_1.id_transakcija
LEFT OUTER JOIN s_promet ON s_transakcije.id_promet=s_promet.id_promet
LEFT OUTER JOIN s_dokument ON s_promet.id_dokument=s_dokument.id_dokument
LEFT OUTER JOIN s_artikli ON s_promet.id_artikel=s_artikli.id_artikel
WHERE s_artikli.v_uporabi = 'Y' AND s_dokument.datum <={?Datum} 
? and s_artikli.nnlocation_id={?Location}
? and s_artikli.id_grupa={?Grupa}
)
GROUP BY id_artikel, id_grupa, nnlocation_id
UNION ALL
-- zaloga en mesec prej
SELECT id_artikel, id_grupa, nnlocation_id, sum(prejem) - sum(izdaja) zaloga_prej, 0 prejemi, 0 izdaje, 0 zaloga_potem 
FROM (
SELECT s_artikli.id_artikel, s_artikli.id_grupa, s_artikli.nnlocation_id,
       CASE WHEN s_dokument.tip='P' AND s_transakcije.kolicina >= 0 THEN s_transakcije.kolicina ELSE 0
       END prejem,
       CASE WHEN s_dokument.tip='I' THEN s_transakcije.kolicina
            ELSE CASE WHEN s_transakcije.kolicina < 0 THEN s_transakcije.kolicina * -1 ELSE 0 END
       END izdaja
FROM s_poraba 
LEFT OUTER JOIN s_transakcije ON s_poraba.id_poraba=s_transakcije.id_poraba
LEFT OUTER JOIN s_transakcije s_transakcije_1 ON s_poraba.id_transakcija=s_transakcije_1.id_transakcija
LEFT OUTER JOIN s_promet ON s_transakcije.id_promet=s_promet.id_promet
LEFT OUTER JOIN s_dokument ON s_promet.id_dokument=s_dokument.id_dokument
LEFT OUTER JOIN s_artikli ON s_promet.id_artikel=s_artikli.id_artikel
WHERE s_artikli.v_uporabi = 'Y' AND s_dokument.datum <= add_months({?Datum},-1)
? and s_artikli.nnlocation_id={?Location}
? and s_artikli.id_grupa={?Grupa}
)
GROUP BY id_artikel, id_grupa, nnlocation_id
UNION ALL
-- prejemi in izdaje v mesecu
SELECT id_artikel, id_grupa, nnlocation_id, 0, sum(prejem) prejemi, sum(izdaja) izdaje, 0 zaloga_potem 
FROM (
SELECT s_artikli.id_artikel, s_artikli.id_grupa, s_artikli.nnlocation_id,
       CASE WHEN s_dokument.tip='P' THEN s_promet.kolicina ELSE 0
       END prejem,
       CASE WHEN s_dokument.tip='I' THEN s_promet.kolicina ELSE 0
       END izdaja
FROM s_dokument 
INNER JOIN s_promet ON s_dokument.id_dokument=s_promet.id_dokument
LEFT OUTER JOIN s_artikli ON s_promet.id_artikel=s_artikli.id_artikel
where s_dokument.datum BETWEEN add_months({?Datum},-1) + 1 AND {?Datum}
? and s_artikli.nnlocation_id={?Location}
? and s_artikli.id_grupa={?Grupa}
)
GROUP BY id_artikel, id_grupa, nnlocation_id
) a
GROUP BY a.id_artikel, a.id_grupa, a.nnlocation_id
;