delete from report_sql where computer = {?computer};

-- num1 - num6,num10 = stanje na dan 
-- num8 = id_kupca
-- num9 = tip (1 za odboje pred date1, 2 v obdobju)


-- transakcije pred datumom date1

-- novo nastale terjatve v obdobju date1 in date2
insert into report_sql (computer, num1, num2, num3, num4, str1, str2, date1, str3, num10, num8, num9, date2, date3)
select {?Computer}, a.id_saldkont, Nvl(a.za_placilo,0), Nvl(a.porabljeno,0), 0, a.sdk_rn_pl, a.sdk_rn_tip, 
{?date2}, a.vrsta_racuna, a.za_placilo, a.id_kupca, 1, {?date1}, {?date2}
from saldkont a, nknjizba b where a.datum <={?date1} -1
and a.vrsta_racuna=b.saldkont and 
(b.deposit is null or (b.deposit is not null and b.deposit<>'Y'))
;

-- novo nastale terjatve v obdobju date1 in date2
insert into report_sql (computer, num1, num2, num3, num4, str1, str2, date1, str3, num10, num8, num9, date2, date3)
select {?Computer}, a.id_saldkont, Nvl(a.za_placilo,0), Nvl(a.porabljeno,0), 0, a.sdk_rn_pl, a.sdk_rn_tip, 
{?date2}, a.vrsta_racuna, a.za_placilo, a.id_kupca, 2, {?date1}, {?date2}
from saldkont a, nknjizba b where a.datum between {?date1} and {?date2}
and a.vrsta_racuna=b.saldkont and 
(b.deposit is null or (b.deposit is not null and b.deposit<>'Y'))
;

-- storitve na racunu
update report_sql set str3 =
(select substr(listagg(f.opis, ', ') within group (order by s.id_saldkont),1,100) from saldkont s 
left join racun_data d on s.id_saldkont = d.id_saldkont 
left join m_storitve s on d.id_Storitve = s.id_storitve 
left join m_nnstomar f on s.storitev = f.sifra
where s.id_saldkont = num1)
where computer = {?computer};


-- datumi storitev na racunu za grupi 32-Storage in 29-Marina
update report_sql set str5 =
(select listagg(to_char(s.datum_od,'dd/mm/yyyy') || '-' || to_char(s.datum_do,'dd/mm/yyyy') , ', ') within group (order by s.id_saldkont) from saldkont s 
left join racun_data d on s.id_saldkont = d.id_saldkont 
left join m_storitve s on d.id_Storitve = s.id_storitve 
left join m_nnstomar f on s.storitev = f.sifra
where s.id_saldkont = num1
and f.filter in (29,32))
where computer = {?computer};


-- tipi placila
update report_sql set str4 = 
(select listagg(c.opis,', ') within group (order by c.id_cards) from saldkont s
inner join money m on s.id_exchange  = m.id_menjave left join nncards c on m.id_cards = c.id_cards
where s.id_saldkont = num1)
where computer = {?computer} and str2 = 'PLA';