delete from report_sql where computer = {?computer};

-- date1 = datum
-- num1 = stevilo prijav v myMarino
-- num2 = stevilo novih registracij
-- num3 = stevilo registriranih uporabnikov
-- num4 = stevilo transakcij 
-- num5 = total collection (vsota placil)

-- dnevi
insert into report_sql (computer,date1)
select {?computer},{?from} + rownum -1 from all_objects
where rownum <= {?to}-{?from}+1;


-- num1 = stevilo prijav v myMarino

update report_sql set num1 =
(select count(idact) from act where tbl = 'LOGIN' and sfact = 'I' and usr not in (select nuser from nuser)
and trunc(cas) = trunc(date1))
where computer = {?computer};

-- num2 = stevilo novih registracij
update report_sql set num2 =
(select count(id) from kupci where trunc(registration_date) = trunc(date1))
where computer = {?computer};

-- num3 = stevilo registriranih uporabnikov
update report_sql set num3 = 
(select count(id) from kupci where geslo_hash is not null and trunc(registration_date) <= trunc(date1))
where computer = {?computer};

-- num4 = stevilo transackij
update report_sql set num4 =
(select count(s.id_saldkont) from saldkont s left join money m on s.id_exchange = m.id_menjave
left join nncards c on m.id_cards = c.id_cards where trunc(s.datum) = trunc(date1) and s.user_kreiranja not in ('MIGRATION')
and s.user_kreiranja not in (select nuser from nuser where nuser <> 'INFO') and c.use_payment_system is not null)
where computer = {?computer};

-- num5 = total collection
update report_sql set num5 =
(select coalesce(sum(za_placilo),0) from saldkont s left join money m on s.id_exchange = m.id_menjave
left join nncards c on m.id_cards = c.id_cards where trunc(s.datum) = trunc(date1) and s.user_kreiranja not in ('MIGRATION')
and s.user_kreiranja not in (select nuser from nuser where nuser <> 'INFO') and c.use_payment_system is not null)
where computer = {?computer};