delete from report_sql where computer = {?computer};


-- num1 = charge
-- num2 = potential
-- num3 = id_pogodbe
-- num4 = last contract price
-- num5 = id_vps
-- num6 = id_lastnika
-- num7 = st. vzorcev na pogodbi
-- num8 = st.aktivnih vzorcev na pogodbi
-- num9 = indikator ustrezne casovne kategorije
-- num10 = indikator aktivnosti vzorca
-- num11 = indikator prikaza vzorca
-- date1 = last invoice due date


-- za vse vzorce izracunamo znesek

insert into report_sql (computer,num3,num5,num6,num1,str1,str2,str3,str4,num20)
select {?computer},v.id_pogodbe,v.id_vps,p.id_lastnika,
(COALESCE(v.SKUPAJ,0))*
((100-(COALESCE(v.POPUST,0)))/100)*
((100-(COALESCE(v.POPUST1,0)))/100)*
((100-(COALESCE(v.POPUST2,0)))/100)*
((100-(COALESCE(v.PROVIZIJA,0)))/100)*
((100+(COALESCE(v.DAVEK,0)))/100), v.storitev, case when upper(k.opis) like 'PREPAID' THEN 'P' ELSE 'M' END, k.opis,
CASE WHEN v.auto_create_method='H' THEN 'Half-yearly'
     WHEN v.auto_create_method='D' THEN 'Default'
     WHEN v.auto_create_method='M' THEN 'Monthly'
     WHEN v.auto_create_method='Y' THEN 'Yearly'
     WHEN v.auto_create_method='Q' THEN 'Quarterly'
     WHEN v.auto_create_method='C' THEN 'Custom'
     WHEN v.auto_create_method='F' THEN 'No automatic invoicing'
END,
CASE WHEN v.auto_create_method='H' THEN 30
     WHEN v.auto_create_method='D' THEN 50
     WHEN v.auto_create_method='M' THEN 10
     WHEN v.auto_create_method='Y' THEN 40
     WHEN v.auto_create_method='Q' THEN 20
     WHEN v.auto_create_method='C' THEN 50
     WHEN v.auto_create_method='F' THEN 50
END
from m_vzorci_ps v 
left join m_pogodbe p on v.id_pogodbe = p.id_pogodbe
left outer join m_nnstomar n on v.storitev=n.sifra
left outer join m_nnkateg k on k.sifra_sklopa=n.timekat and k.sifra=v.timekat
where v.storno is null and p.status <> 'R'
?and p.nnlocation_id = {?location_id}
?and p.predvideni_datum_konca between {?from} and {?to}
?and p.status = {?status}
?and v.active = {?vzorec_active}
;

-- za vse vzorce izracunamo potencialni znesek

update report_sql set num2 =
(select COALESCE(c.bruto_domaca_valuta,0)/COALESCE((D.PROCENT/100),1)
from m_vzorci_ps v left join nndodatki d on v.dodatna_storitev = d.sifra
left join m_nncenmar c on v.storitev = c.storitev 
left join m_pogodbe p on p.id_pogodbe = v.id_pogodbe
where c.kat = v.kat and v.timekat = c.timekat and p.nnlocation_id = c.nnlocation_id
and v.id_vps = num5)
where computer = {?computer};

-- za vse pogodbe izracunamo last contract price

update report_sql set num4 = 
(SELECT ROUND(SUM((COALESCE(V.SKUPAJ,0))*
((100-(COALESCE(V.POPUST,0)))/100)*
((100-(COALESCE(V.POPUST1,0)))/100)*
((100-(COALESCE(V.POPUST2,0)))/100)*
((100-(COALESCE(V.PROVIZIJA,0)))/100)*
((100+(COALESCE(V.DAVEK,0)))/100)),2) AS SKUPAJ
FROM M_POGODBE P LEFT OUTER JOIN M_VZORCI_PS V ON P.ID_POGODBE = V.ID_POGODBE WHERE V.STORNO IS NULL 
and p.id_pogodbe = (select max(id_pogodbe) from m_pogodbe where datum_konca < sysdate and status <> 'R' and id_lastnika = num6))
where computer = {?computer};

-- za vse pogodbe izracuna last invoice due date
update report_sql set date1 = 
(select max(s.datum_valutacije) from m_storitve st
left join racun_data r on st.id_storitve = r.id_storitve
left join saldkont s on r.id_saldkont = s.id_saldkont
where st.id_pogodbe = num3)
where computer = {?computer};

-- za vse vzorce izracunamo se indikator prikaza (1 - da, 0 - ne)
-- vzorec prikazemo:
-- 1) ce je na pogodbi sam
-- 2) ce je na pogodbi sam in je edini aktiven
-- 3) ce je vec aktivnih samo tiste, ki imajo ustrezen timekat (niso prorata)

-- najprej vsem vzorcem dolocimo ali so ustrezne casovne kategorije

--update report_sql set num9 = 
--(select case when k.opis in ('Monthly','Prepaid','Prepaid 13th month free','Monthly 13th month free') or 
--(k.opis is null and v.auto_create_method in ('M','Y')) then 1 else 0 end 
--from m_vzorci_ps v left join m_nnstomar s on v.storitev = s.sifra left join m_nnkateg k on s.timekat = k.sifra_sklopa and v.timekat = k.sifra
--where v.id_vps = num5)
--where computer = {?computer};

-- vsem vzorcem dolocimo indikator aktivnosti

--update report_sql set num10 = 
--(select case when active = 'Y' then 1 else 0 end 
--from m_vzorci_ps where id_vps = num5)
--where computer = {?computer};

-- izracunamo stevilo vzorcev na pogodbi

--update report_sql set num7 = 
--(select count(id_vps) from m_vzorci_ps
--where storno is null and id_pogodbe = num3)
--where computer = {?computer};

-- izracunamo stevilo aktivnih vzorcev na pogodbi

--update report_sql set num8 = 
--(select count(id_vps) from m_vzorci_ps
--where storno is null and active = 'Y' and id_pogodbe = num3)
--where computer = {?computer};

-- izracunamo indikator prikaza vzorca

--update report_sql set num11 = 
--case when num7 = 1 then 1
--when num7 > 1 and num8 = 1 and num10 = 1 then 1
--when num7 > 1 and num8 > 1 and num9 = 1 and num10 = 1 then 1
--else 0 end
--where computer = {?computer};





 









