SELECT a.ID_KUPCA, 
       MAX(a.title) AS "Title",
       MAX(a.ime) AS "Given Name",
       MAX(a.priimek) AS "Surname",
       CASE WHEN MAX(a.email1) IS NULL THEN MAX(a.email2) ELSE MAX(a.email1) END AS "Email1",
       CASE WHEN MAX(a.email1) IS NOT NULL THEN MAX(a.email2) ELSE NULL END AS "Email2",
       MAX(a.mobi) AS "Mobile phone",
       MAX(a.tel1) AS "Telephone1",
       MAX(a.tel2) AS "Telephone2",
       MAX(a.mb) AS "Business Mobile",
       MAX(a.ht) AS "Home Telephone",
       MAX(a.bt) AS "Business Telephone",
       MAX(plovila.proizvajalec) AS "Boat Type",
       MAX(round(plovila.dolzina,2)) AS "Boat length (mtrs)"
FROM (       
  SELECT kupci.id AS ID_KUPCA,
       nntitle.opis AS title,
       kupci.ime AS ime,
       kupci.priimek AS priimek,
       kupci.email AS email1,
       null AS email2,
       kupci.telex AS mobi,
       kupci.telefon_1 AS tel1,
       kupci.telefon_2 AS tel2,
       null AS mb,
       null AS ht,
       null AS bt
  FROM   kupci
  LEFT OUTER JOIN nntitle ON (kupci.ntitle=nntitle.sifra)
--  WHERE  kupci.email IS NOT NULL
  UNION ALL
  SELECT kupci.id AS ID_KUPCA,
       nntitle.opis AS title,
       kupci.ime AS ime,
       kupci.priimek AS priimek,
       null AS email1,
       kupci_correspondence.naslov AS email2,
       null as mobi,
       null AS tel1,
       null AS tel2,
       null AS bm,
       null AS ht,
       null AS bt
  FROM   kupci
  LEFT OUTER JOIN nntitle ON (kupci.ntitle=nntitle.sifra)
  LEFT OUTER JOIN kupci_correspondence ON (kupci.id=kupci_correspondence.id_kupca AND kupci_correspondence.vrsta_corr IN ('008', '009', '017', '020') AND kupci_correspondence.akt='Y')
  WHERE  kupci_correspondence.naslov IS NOT NULL
  UNION ALL
  SELECT kupci.id AS ID_KUPCA,
       nntitle.opis AS title,
       kupci.ime AS ime,
       kupci.priimek AS priimek,
       null AS email1,
       null AS email2,
       null as mobi,
       null AS tel1,
       null AS tel2,
       kupci_correspondence.naslov AS bm,
       null AS ht,
       null AS bt
  FROM   kupci
  LEFT OUTER JOIN nntitle ON (kupci.ntitle=nntitle.sifra)
  LEFT OUTER JOIN kupci_correspondence ON (kupci.id=kupci_correspondence.id_kupca AND kupci_correspondence.vrsta_corr IN ('019') AND kupci_correspondence.akt='Y')
  WHERE  kupci_correspondence.naslov IS NOT NULL
  UNION ALL
  SELECT kupci.id AS ID_KUPCA,
       nntitle.opis AS title,
       kupci.ime AS ime,
       kupci.priimek AS priimek,
       null AS email1,
       null AS email2,
       null as mobi,
       null AS tel1,
       null AS tel2,
       null AS bm,
       kupci_correspondence.naslov AS ht,
       null AS bt
  FROM   kupci
  LEFT OUTER JOIN nntitle ON (kupci.ntitle=nntitle.sifra)
  LEFT OUTER JOIN kupci_correspondence ON (kupci.id=kupci_correspondence.id_kupca AND kupci_correspondence.vrsta_corr IN ('004') AND kupci_correspondence.akt='Y')
  WHERE  kupci_correspondence.naslov IS NOT NULL
  UNION ALL
  SELECT kupci.id AS ID_KUPCA,
       nntitle.opis AS title,
       kupci.ime AS ime,
       kupci.priimek AS priimek,
       null AS email1,
       null AS email2,
       null as mobi,
       null AS tel1,
       null AS tel2,
       null AS bm,
       null AS ht,
       kupci_correspondence.naslov AS bt
  FROM   kupci
  LEFT OUTER JOIN nntitle ON (kupci.ntitle=nntitle.sifra)
  LEFT OUTER JOIN kupci_correspondence ON (kupci.id=kupci_correspondence.id_kupca AND kupci_correspondence.vrsta_corr IN ('005') AND kupci_correspondence.akt='Y')
  WHERE  kupci_correspondence.naslov IS NOT NULL
) a
JOIN plovila ON (a.id_kupca = plovila.id_lastnika)
WHERE plovila.ntip='CT'
GROUP BY a.id_kupca
order by 4
;
