SELECT kupci.id AS ID_KUPCA,
       nntitle.opis AS "Title",
       kupci.ime AS "Given Name",
       kupci.priimek AS "Surname",
       CASE WHEN regexp_count(rtrim(kupci.naslov,chr(13)),chr(13)) = 0 THEN kupci.naslov 
            ELSE substr(kupci.naslov,1,instr(kupci.naslov,chr(13))-1)
       END AS "Address Line1",
       CASE WHEN regexp_count(rtrim(kupci.naslov,chr(13)),chr(13)) = 0 THEN null 
            ELSE substr(kupci.naslov,instr(kupci.naslov,chr(13))+1)
       END AS "Address Line2",
       kupci.mesto AS "City",
       kupci.state AS "State",
       kupci.posta AS "Postal Code",
       nndrzave.opis AS "Country"
FROM   kupci
LEFT OUTER JOIN nntitle ON (kupci.ntitle=nntitle.sifra)
LEFT OUTER JOIN nndrzave ON (kupci.ndrzava=nndrzave.sifra)
WHERE  kupci.id IN (
  SELECT DISTINCT id_lastnika
  FROM   m_pogodbe
  WHERE  m_pogodbe.status IN ('A','O')
  AND    id_plovila IN (SELECT id FROM plovila WHERE trenutna_n_priveza IS NOT NULL)
)
AND kupci.naslov IS NOT NULL
UNION
SELECT kupci.id AS ID_KUPCA,
       nntitle.opis AS "Title",
       kupci.ime AS "Given Name",
       kupci.priimek AS "Surname",
       CASE WHEN regexp_count(rtrim(kupci_correspondence.naslov,chr(13)),chr(13)) = 0 THEN kupci_correspondence.naslov 
            ELSE substr(kupci_correspondence.naslov,1,instr(kupci_correspondence.naslov,chr(13))-1)
       END AS "Address Line1",
       CASE WHEN regexp_count(rtrim(kupci_correspondence.naslov,chr(13)),chr(13)) = 0 THEN null 
            ELSE substr(kupci_correspondence.naslov,instr(kupci_correspondence.naslov,chr(13))+1)
       END AS "Address Line2",
       kupci_correspondence.kraj AS "City",
       kupci_correspondence.state AS "State",
       kupci_correspondence.posta AS "Postal Code",
       nndrzave.opis AS "Country"
FROM   kupci
LEFT OUTER JOIN nntitle ON (kupci.ntitle=nntitle.sifra)
LEFT OUTER JOIN kupci_correspondence ON (kupci.id=kupci_correspondence.id_kupca AND kupci_correspondence.vrsta_corr='002' AND kupci_correspondence.akt='Y')
LEFT OUTER JOIN nndrzave ON (kupci_correspondence.ndrzava=nndrzave.sifra)
WHERE  kupci.id IN (
  SELECT DISTINCT id_lastnika
  FROM   m_pogodbe
  WHERE  m_pogodbe.status IN ('A','O')
  AND    id_plovila IN (SELECT id FROM plovila WHERE trenutna_n_priveza IS NOT NULL)
)
AND kupci.naslov IS NULL
order by 4
;