delete from report_sql where computer = {?computer};


-- str1 = n_priveza
-- str2 = kategorija
-- str3 lokacija
-- num2 = st dni na voljo
-- num3 = st. dni zasedenih - letos
-- num7 = % zasedenih dni - letos
-- num8 = st. dni zasedenih - lansko leto
-- num9 = % zasedeih dni - lansko leto
-- num10 = nnlocation_id
-- num11 = revenue letos
-- num12 = revenue lansko leto
-- num13 = st. zasedenih privezov
-- str15 = dolzinska kategorija

-- vstavimo vse priveze
insert into report_sql (computer, str1, str2, num10)
select {?computer}, nnprivez.n_priveza, nnprivez.kategorija, nnpomol.nnlocation_id from nnprivez
left join nnpomol on nnprivez.kategorija = nnpomol.sifra
where nnprivez.occupancy_statistics = 'Y'
?and nnprivez.objekt = {?objekt} 
?and nnprivez.kategorija = {?kategorija}
?and nnprivez.id_privez = {?privez}
?and nnpomol.nnlocation_id = {?location_id}
;

update report_sql set str15 = 
(select case 
when (dolzina <= 10 or dolzina is null) then '<33ft(10m)'
when dolzina > 10 and dolzina <= 12 then '<40ft(12m)'
when dolzina > 12 and dolzina <= 15 then '<50ft(15m)'
when dolzina > 15 and dolzina <= 18 then '<60ft(18m)'
when dolzina > 18 and dolzina <= 23 then '<75ft(23m)'
when dolzina > 23 then '>75ft(23m)' else '' end 
from nnprivez where n_priveza = str1)
where computer = {?computer};

--st. dni na voljo 
update report_sql set
num2=({?datum_do}-{?datum_od})+1
where computer={?computer};

--st.dni zasedenih
update report_sql set
num3=nvl((select st_zased_dni_sum from
          (select sum(st_zased_dni) as st_zased_dni_sum, n_priveza from (
             select 
                 case when r.datum_od = r.datum_do then 0 
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od
                     end
                 end as st_zased_dni, 
                 nnprivez.n_priveza
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
	     left join rezervac on r.id_rezervac = rezervac.id
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and nnprivez.objekt = {?objekt} 
             ?and nnprivez.kategorija = {?kategorija}
	     ?and rezervac.vrsta = {?vrsta}
             )
            group by n_priveza)
     where n_priveza=str1),0)
where computer={?computer};

-- zasedeni privezi (num3)
update report_sql set
num13=nvl((select st_zased_dni_sum/({?datum_do}-{?datum_od}) from
          (select sum(st_zased_dni) as st_zased_dni_sum, n_priveza from (
             select 
                 case when r.datum_od = r.datum_do then 1
                 when r.datum_od < {?datum_od} then 
                     case when r.datum_do < {?datum_do} then r.datum_do - {?datum_od}
                                                        else {?datum_do} - {?datum_od}
                     end
                 when r.datum_od >= {?datum_od} then
                     case when r.datum_do < {?datum_do} then r.datum_do - r.datum_od
                                                        else {?datum_do} - r.datum_od 
                     end
                 end as st_zased_dni, 
                 nnprivez.n_priveza
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
	     left join rezervac on r.id_rezervac = rezervac.id
             where r.status_rezervac in (0,1)
             and (r.datum_od < {?datum_do} and r.datum_do > {?datum_od} or
                  r.datum_od = r.datum_do and r.datum_od = {?datum_od})
             ?and nnprivez.objekt = {?objekt} 
             ?and nnprivez.kategorija = {?kategorija}
	     ?and r.id_privez= {?privez}
             )
            group by n_priveza)
     where n_priveza=str1),0)
where computer={?computer};

update report_sql
set num3=num3+1
where num3<>0 and computer={?computer};

-- dodamo se berth maintenance

update report_sql set
num4 = (select sum(case when m.date_to > {?datum_do} then {?datum_do} else m.date_to end
- 
case when m.date_from < {?datum_od} then {?datum_od} else m.date_from end
+
case when m.date_from = m.date_to then 0 else 1 end
)
from berth_maintenance m left join nnprivez p on m.id_privez = p.id_privez 
where ((m.date_from >={?datum_od} and m.date_to <= {?datum_do}) or (m.date_from <= {?datum_od} and m.date_to >= {?datum_do})) and p.n_priveza = str1 and status = 1)
where computer = {?computer};

update report_sql
set num3 = num3 + coalesce(num4,0) 
where computer = {?computer};

--% zasedenih dni 
update report_sql set
num7=(num3/num2)*100
where computer={?computer};

--st.dni zasedenih lansko leto 
update report_sql set
num8=nvl((select st_zased_dni_sum from
          (select sum(st_zased_dni) as st_zased_dni_sum, n_priveza from (
             select 
                 case when r.datum_od = r.datum_do then 0 
                 when r.datum_od < add_months(to_date({?datum_od}),-12) then 
                     case when r.datum_do < add_months(to_date({?datum_do}),-12) then r.datum_do - add_months(to_date({?datum_od}),-12)
                                                        else add_months(to_date({?datum_do}),-12) - add_months(to_date({?datum_od}),-12)
                     end
                 when r.datum_od >= add_months(to_date({?datum_od}),-12) then
                     case when r.datum_do < add_months(to_date({?datum_do}),-12) then r.datum_do - r.datum_od
                                                        else add_months(to_date({?datum_do}),-12) - r.datum_od
                     end
                 end as st_zased_dni, 
                 nnprivez.n_priveza
             from rezervac_detail r
             join nnprivez on r.id_privez=nnprivez.id_privez
             where r.status_rezervac in (0,1)
             and (r.datum_od < add_months(to_date({?datum_do}),-12) and r.datum_do > add_months(to_date({?datum_od}),-12) or
                  r.datum_od = r.datum_do and r.datum_od = add_months(to_date({?datum_od}),-12))
             ?and nnprivez.objekt = {?objekt} 
             ?and nnprivez.kategorija = {?kategorija}
             )
            group by n_priveza)
     where n_priveza=str1),0)
where computer={?computer};

-- dodamo se berth maintenance

-- tisti, ki se celi znotraj ali celi zunaj intervala
update report_sql set
num15 = (select sum(m.date_to - m.date_from + 1) from berth_maintenance m left join nnprivez p on m.id_privez = p.id_privez 
where ((m.date_from >=add_months(to_date({?datum_od}),-12) and m.date_to <= add_months(to_date({?datum_do}),-12)) or (m.date_from <= add_months(to_date({?datum_od}),-12) and m.date_to >= add_months(to_date({?datum_do}),-12))) and p.n_priveza = str1 and m.status = 1)
where computer = {?computer};


-- tisti, ki se zacnejo prej in koncajo prej
update report_sql set 
num16 = (select sum(m.date_to - add_months(to_date({?datum_od}),-12) + 1)  from berth_maintenance m left join nnprivez p on m.id_privez = p.id_privez where 
m.date_from < add_months(to_date({?datum_od}),-12) and m.date_to < add_months(to_date({?datum_do}),-12) and m.date_to >= add_months(to_date({?datum_od}),-12) and p.n_priveza = str1 and m.status = 1)
where computer = {?computer};

-- tisti, ki se zacnejo kasneje in koncajo kasneje
update report_sql set
num17 = (select sum(add_months(to_date({?datum_do}),-12) - m.date_from + 1)  from berth_maintenance m left join nnprivez p on m.id_privez = p.id_privez 
where m.date_from > add_months(to_date({?datum_od}),-12) and m.date_to > add_months(to_date({?datum_do}),-12) and m.date_from <= add_months(to_date({?datum_do}),-12) and p.n_priveza = str1 and m.status = 1)
where computer = {?computer};


update report_sql
set num8 = num8 + coalesce(num15,0) + coalesce(num16,0) + coalesce(num17,0)
where computer = {?computer};

--% zasedenih dni 
update report_sql set
num9=(num8/num2)*100
where computer={?computer};

update report_sql set num11 =
(select coalesce(sum(coalesce(v.znesek,0)),0) from v_storitve_income v left join nnprivez p on v.nnprivez_n_priveza = p.n_priveza 
left join m_storitve s on v.id_storitve = s.id_Storitve
left join m_nnstomar n on s.storitev=n.sifra
where v.datum >= {?datum_od} and v.datum <= {?datum_do} and v.m_nnstomar_berth_yield = 'Y' and v.id_storitve_income is not null 
and v.id_racun_data is not null and v.nnprivez_n_priveza = str1
?and (case when nvl(n.contract_price,'N') = (case when {?vrsta} = 'PO' then 'Y' else 'N' end) then 1 else 0 end) = 1
--?and ((case when s.vrsta = (case when {?vrsta} = 'PO' then 'PO' else 'ST' end) then 1 else 0 end) = 1
--?or (case when s.vrsta = (case when {?vrsta} = 'PO' then 'PO' else 'DN' end) then 1 else 0 end) = 1)
)
where computer = {?computer};

update report_sql set num12 =
(select coalesce(sum(coalesce(v.znesek,0)),0) from v_storitve_income v left join nnprivez p on v.nnprivez_n_priveza = p.n_priveza 
left join m_storitve s on v.id_storitve = s.id_Storitve
left join m_nnstomar n on s.storitev=n.sifra
where v.datum >= add_months({?datum_od},-12) and v.datum <= add_months({?datum_do},-12) and v.m_nnstomar_berth_yield = 'Y' and v.id_storitve_income is not null 
and v.id_racun_data is not null and v.nnprivez_n_priveza = str1 
?and (case when nvl(n.contract_price,'N') = (case when {?vrsta} = 'PO' then 'Y' else 'N' end) then 1 else 0 end) = 1
--?and ((case when s.vrsta = (case when {?vrsta} = 'PO' then 'PO' else 'ST' end) then 1 else 0 end) = 1
--?or (case when s.vrsta = (case when {?vrsta} = 'PO' then 'PO' else 'DN' end) then 1 else 0 end) = 1)
)
where computer = {?computer};

update report_sql set str3 = 
(select opis from nnlocation where id = num10)
where computer = {?computer}; 


-- indikator za CPM
update report_sql
set str10 = 'Y'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_owner where type = 1 and status = 1 and ((date_from <= {?datum_od} and date_to >= {?datum_od}) or (date_from >= {?datum_od} and date_from <= {?datum_do}))))
and computer={?computer};

update report_sql
set str10 = 'N'
where str10 is null and computer = {?computer};

-- indikator za private rental
update report_sql
set str11 = 'Y'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_owner where type = 2 and status = 1 and ((date_from <= {?datum_od} and date_to >= {?datum_od}) or (date_from >= {?datum_od} and date_from <= {?datum_do}))))
and computer={?computer};

update report_sql
set str11 = 'N'
where str11 is null and computer = {?computer};

-- indikator za berth owner
update report_sql
set str20 = 'Y'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_owner where type = 0 and status = 1 and ((date_from <= {?datum_od} and date_to >= {?datum_od}) or (date_from >= {?datum_od} and date_from <= {?datum_do}))))
and computer={?computer};

update report_sql
set str20 = 'N'
where str20 is null and computer = {?computer};

-- indikator za sublease
update report_sql
set str12 = 'Y'
where str1 in (select n_priveza from nnprivez where id_privez in (select id_privez from berth_sublease where ((date_from <= {?datum_od} and date_to >= {?datum_od}) or (date_from >= {?datum_od} and date_from <= {?datum_do}))))
and computer={?computer};

update report_sql
set str12 = 'N'
where str12 is null and computer = {?computer};

-- indikator za dalbora owned (vse ostalo)

update report_sql
set str13 = case when str10 = 'N' and str11 = 'N' and str12 = 'N' and str20 = 'N' then 'Y' else 'N' end
where computer={?computer};
