delete from report_sql where computer={?computer};

insert into report_sql (computer, str1, num1, num2, num3, num4, num5, num6, num7, num8, num9, num10, num11)
SELECT {?computer},
       YearMonth, 
       nvl(max(Casual),0) AS Casual, 
       nvl(max(Permanent),0) AS Permanent, 
       nvl(max(Flagship),0) AS Flagship,
       nvl(max(Eclat),0) AS Eclat,
       nvl(max(Wedding),0) AS Wedding,
       nvl(max(Accomodation),0) AS Accomodation,
       nvl(max(Sailtime),0) AS Sailtime,
       nvl(max(CasArrivals),0) AS CasArrivals,
       nvl(max(PermArrivals),0) AS PermArrivals,
       nvl(max(CasDepartures),0) AS CasDepartures,
       nvl(max(PermDepartures),0) AS PermDepartures
FROM (
-- CASUAL
      SELECT substr(to_char(enquiry_term.term_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_term.term_date,'DD.MM.YYYY'),4,2) AS YearMonth,
             count(*) AS Casual, null AS Permanent, null AS Flagship, null AS Eclat, null AS Wedding, null AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM enquiry
      JOIN enquiry_term ON enquiry.id_enquiry=enquiry_term.id_enquiry
      WHERE enquiry_term.enquiry_term=2
      AND enquiry_term.term_date IS NOT NULL
?      AND enquiry_term.term_date BETWEEN {?datum_od} AND {?datum_do}
      GROUP BY substr(to_char(enquiry_term.term_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_term.term_date,'DD.MM.YYYY'),4,2)
UNION ALL
-- PERMANENT
      SELECT substr(to_char(enquiry_term.term_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_term.term_date,'DD.MM.YYYY'),4,2) AS YearMonth,
             null AS Casual, count(*) AS Permanent, null AS Flagship, null AS Eclat, null AS Wedding, null AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM enquiry
      JOIN enquiry_term ON enquiry.id_enquiry=enquiry_term.id_enquiry
      WHERE enquiry_term.enquiry_term IN (1,3)
      AND enquiry_term.term_date IS NOT NULL
?      AND enquiry_term.term_date BETWEEN {?datum_od} AND {?datum_do}
      GROUP BY substr(to_char(enquiry_term.term_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_term.term_date,'DD.MM.YYYY'),4,2)
UNION ALL
-- FLAGSHIP
      SELECT substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2) AS YearMonth,
             null AS Casual, null AS permanent, count(*) AS Flagship, null AS Eclat, null AS Wedding, null AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM enquiry
      JOIN enquiry_subject ON enquiry.id_enquiry=enquiry_subject.id_enquiry
      WHERE enquiry_subject.enquiry_subject=3
      AND enquiry_subject.subject_date IS NOT NULL
?      AND enquiry_subject.subject_date BETWEEN {?datum_od} AND {?datum_do}
      GROUP BY substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2)
UNION ALL
-- ECLAT
      SELECT substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2) AS YearMonth,
             null AS Casual, null AS permanent, null AS Flagship, count(*) AS Eclat, null AS Wedding, null AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM enquiry
      JOIN enquiry_subject ON enquiry.id_enquiry=enquiry_subject.id_enquiry
      WHERE enquiry_subject.enquiry_subject=13
      AND enquiry_subject.subject_date IS NOT NULL
?      AND enquiry_subject.subject_date BETWEEN {?datum_od} AND {?datum_do}
      GROUP BY substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2)
UNION ALL
-- WEDDING
      SELECT substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2) AS YearMonth,
             null AS Casual, null AS permanent, null AS Flagship, null AS Eclat, count(*) AS Wedding, null AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM enquiry
      JOIN enquiry_subject ON enquiry.id_enquiry=enquiry_subject.id_enquiry
      WHERE enquiry_subject.enquiry_subject=12
      AND enquiry_subject.subject_date IS NOT NULL
?      AND enquiry_subject.subject_date BETWEEN {?datum_od} AND {?datum_do}
      GROUP BY substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2)
UNION ALL
-- ACCOMODATION
      SELECT substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2) AS YearMonth,
             null AS Casual, null AS permanent, null AS Flagship, null AS Eclat, null AS Wedding, count(*) AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM enquiry
      JOIN enquiry_subject ON enquiry.id_enquiry=enquiry_subject.id_enquiry
      WHERE enquiry_subject.enquiry_subject IN (8,9)
      AND enquiry_subject.subject_date IS NOT NULL
?      AND enquiry_subject.subject_date BETWEEN {?datum_od} AND {?datum_do}
      GROUP BY substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2)
UNION ALL
-- SAILTIME
      SELECT substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2) AS YearMonth,
             null AS Casual, null AS permanent, null AS Flagship, null AS Eclat, null AS Wedding, null AS Accomodation, count(*) AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM enquiry
      JOIN enquiry_subject ON enquiry.id_enquiry=enquiry_subject.id_enquiry
      WHERE enquiry_subject.enquiry_subject=1
      AND enquiry_subject.subject_date IS NOT NULL
?      AND enquiry_subject.subject_date BETWEEN {?datum_od} AND {?datum_do}
      GROUP BY substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),7,4) || substr(to_char(enquiry_subject.subject_date,'DD.MM.YYYY'),4,2)
UNION ALL
-- ARRIVALS CASUAL
      SELECT YearMonth, 
             null AS Casual, null AS permanent, null AS Flagship, null AS Eclat, null AS Wedding, null AS Accomodation, null AS Sailtime, 
             count(*) AS CasArrivals, null AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM (
        SELECT substr(to_char(dogodki.datum_zacetka,'DD.MM.YYYY'),7,4) || substr(to_char(dogodki.datum_zacetka,'DD.MM.YYYY'),4,2) AS YearMonth,
               (SELECT count(*) FROM m_pogodbe WHERE id_lastnika=dogodki.id_lastnika AND datum_zacetka <= dogodki.datum_zacetka AND datum_konca >=dogodki.datum_zacetka) AS Pog
        FROM dogodki
        LEFT OUTER JOIN plovila ON plovila.id=dogodki.id_plovila
        LEFT OUTER JOIN kupci ON kupci.id=plovila.id_lastnika
        WHERE kategorija_dogodka='SP'
?        AND dogodki.datum_zacetka BETWEEN {?datum_od} AND {?datum_do}
      )
      WHERE pog = 0
      GROUP BY YearMonth
UNION ALL
-- ARRIVALS PERMANENT
      SELECT YearMonth, 
             null AS Casual, null AS permanent, null AS Flagship, null AS Eclat, null AS Wedding, null AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, count(*) AS PermArrivals, null AS CasDepartures, null AS PermDepartures
      FROM (
        SELECT substr(to_char(dogodki.datum_zacetka,'DD.MM.YYYY'),7,4) || substr(to_char(dogodki.datum_zacetka,'DD.MM.YYYY'),4,2) AS YearMonth,
               (SELECT count(*) FROM m_pogodbe WHERE id_lastnika=dogodki.id_lastnika AND datum_zacetka <= dogodki.datum_zacetka AND datum_konca >=dogodki.datum_zacetka) AS Pog
        FROM dogodki
        LEFT OUTER JOIN plovila ON plovila.id=dogodki.id_plovila
        LEFT OUTER JOIN kupci ON kupci.id=plovila.id_lastnika
        WHERE kategorija_dogodka='SP'
?        AND dogodki.datum_zacetka BETWEEN {?datum_od} AND {?datum_do}
      )
      WHERE pog > 0
      GROUP BY YearMonth
UNION ALL
-- DEPARTURES CASUAL
      SELECT YearMonth, 
             null AS Casual, null AS permanent, null AS Flagship, null AS Eclat, null AS Wedding, null AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, count(*) AS CasDepartures, null AS PermDepartures
      FROM (
        SELECT substr(to_char(dogodki.datum_zacetka,'DD.MM.YYYY'),7,4) || substr(to_char(dogodki.datum_zacetka,'DD.MM.YYYY'),4,2) AS YearMonth,
               (SELECT count(*) FROM m_pogodbe WHERE id_lastnika=dogodki.id_lastnika AND datum_zacetka <= dogodki.datum_zacetka AND datum_konca >=dogodki.datum_zacetka) AS Pog
        FROM dogodki
        LEFT OUTER JOIN plovila ON plovila.id=dogodki.id_plovila
        LEFT OUTER JOIN kupci ON kupci.id=plovila.id_lastnika
        WHERE kategorija_dogodka='OD'
?        AND dogodki.datum_zacetka BETWEEN {?datum_od} AND {?datum_do}
      )
      WHERE pog = 0
      GROUP BY YearMonth
UNION ALL
-- DEPARTURES PERMANENT
      SELECT YearMonth, 
             null AS Casual, null AS permanent, null AS Flagship, null AS Eclat, null AS Wedding, null AS Accomodation, null AS Sailtime, 
             null AS CasArrivals, null AS PermArrivals, null AS CasDepartures, count(*) AS PermDepartures
      FROM (
        SELECT substr(to_char(dogodki.datum_zacetka,'DD.MM.YYYY'),7,4) || substr(to_char(dogodki.datum_zacetka,'DD.MM.YYYY'),4,2) AS YearMonth,
               (SELECT count(*) FROM m_pogodbe WHERE id_lastnika=dogodki.id_lastnika AND datum_zacetka <= dogodki.datum_zacetka AND datum_konca >=dogodki.datum_zacetka) AS Pog
        FROM dogodki
        LEFT OUTER JOIN plovila ON plovila.id=dogodki.id_plovila
        LEFT OUTER JOIN kupci ON kupci.id=plovila.id_lastnika
        WHERE kategorija_dogodka='OD'
?        AND dogodki.datum_zacetka BETWEEN {?datum_od} AND {?datum_do}
      )
      WHERE pog > 0
      GROUP BY YearMonth
)
GROUP BY YearMonth
ORDER BY YearMonth;