delete from report_sql
where computer={?COMPUTER};


insert into report_sql
       (COMPUTER  , num1      , num2         , date1  , num3        ,
       num5                     , num6                              , date2,
       num7, 
       num8)
select {?COMPUTER}, s.id_kupca, s.id_saldkont, s.datum, s.za_placilo,
       coalesce(sum(z.znesek),0), s.znesek-coalesce(sum(z.znesek),0), {?date},
       months_between({?date}, s.datum),
       case when months_between({?date}, s.datum) < 1 then 0
            when months_between({?date}, s.datum) >= 1 and months_between({?date}, s.datum) < 2 then 1
            when months_between({?date}, s.datum) >= 2 and months_between({?date}, s.datum) < 3 then 2
            when months_between({?date}, s.datum) >= 3 and months_between({?date}, s.datum) < 4 then 3
            when months_between({?date}, s.datum) >= 4 and months_between({?date}, s.datum) < 5 then 4
            when months_between({?date}, s.datum) >= 5 and months_between({?date}, s.datum) < 6 then 5
       end
from saldkont s
left outer join saldkont_zap z  on z.id_saldkont=s.id_saldkont and (trunc(z.datum_spremembe) is null or trunc(z.datum_spremembe)<={?date})
where trunc(s.datum)<={?date}
?and  s.id_kupca={?id_kupca}
and s.sdk_rn_pl='R'
and s.vrsta_racuna not in ('REA','REM')
having s.znesek-coalesce(sum(z.znesek),0)<>0
group by s.id_kupca, s.id_saldkont, s.datum, s.za_placilo, s.znesek
;


------za outstanding debtors over 1 month-----

--ve kot 1 mesec, manj kot 2 meseca
update report_sql 
set num9=1
where computer={?COMPUTER}
and num1 in (select id_kupca from 
              (select num1 as id_kupca, min(date1) as min_date from report_sql s
               where s.computer={?COMPUTER}
               group by num1)
             where min_date>add_months({?date},-2)
             and min_date<=add_months({?date},-1))
and num9 is null
;

--ve kot 2 meseca, manj kot 3 mesece
update report_sql 
set num9=2
where computer={?COMPUTER}
and num1 in (select id_kupca from 
              (select num1 as id_kupca, min(date1) as min_date from report_sql s
               where s.computer={?COMPUTER}
               group by num1)
             where min_date>add_months({?date},-3)
             and min_date<=add_months({?date},-2))
and num9 is null
;

--ve kot 3 mesece
update report_sql 
set num9=3
where computer={?COMPUTER}
and num1 in (select id_kupca from 
              (select num1 as id_kupca, min(date1) as min_date from report_sql s
               where s.computer={?COMPUTER}
               group by num1)
             where min_date<=add_months({?date},-3))
and num9 is null
;


----zavrnjen autopay-----
update report_sql 
set date3=(select a.pay_date from saldkont_autopay a
           join saldkont_autopay_izpiski ai on ai.id_saldkont_autopay=a.id_saldkont_autopay
           join saldkont_izpisek_detail id on id.id_saldkont_izpisek=ai.id_saldkont_izpisek
           join report_sql ter on ter.num2=id.id_saldkont
           where ter.computer={?COMPUTER}
           and report_sql.num2=ter.num2
           and report_sql.num1=ter.num1
           and ai.status='R')
where date3 is null
and computer={?COMPUTER}
;