SELECT 
CASE WHEN a.status = '0' THEN 'OK'
     WHEN a.status = '1' THEN 'Arrival missing'
     WHEN a.status = '2' THEN 'Departure missing'
     WHEN a.status = '3' THEN 'Unknown card'
     WHEN a.status = '4' THEN 'Cancelled'
--    WHEN '5'    THEN 'PAYED'
END AS "Status", 
a.arrival AS "Arrival",
a.departure AS "Depature",
CASE WHEN a.status = '0' THEN trunc(24 * (a.departure - a.arrival))||':'||
                              to_char(mod(trunc(24 * 60 * (a.departure - a.arrival)),60),'FM00')||':'|| 
                              to_char(mod(trunc(24 * 60 * 60 *(a.departure - a.arrival)),60),'FM00') 
                         ELSE null 
END AS "Parking time",
a.hours_daily AS "Hours daily",
a.hours_nightly AS "Hours nightly",
a.lunch AS "Lunch Hours",
CASE WHEN a.member_id IS NOT NULL THEN a.member_id
                                  ELSE b1.id_member
END AS "Membership No.",
CASE WHEN a.member_id IS NOT NULL THEN CASE WHEN b.ime IS NULL THEN b.priimek ELSE b.priimek || ', ' || b.ime END 
                                  ELSE CASE WHEN b1.ime IS NULL THEN b1.priimek ELSE b1.priimek || ', ' || b1.ime END
END AS "Member Name",
a.card_id AS "Card Used",
CASE WHEN a.member_id IS NOT NULL THEN 'MEMBER'
                                  ELSE o.interni_opis
END AS "Carpark User",
CASE WHEN a.member_id IS NOT NULL THEN null
                                  ELSE CASE WHEN b.ime IS NULL THEN b.priimek ELSE b.priimek || ', ' || b.ime END 
END AS "Dependant Name",
sd.znesek AS "Charged Hours daily",
sn.znesek AS "Charged Hours nightly",
sl.znesek AS "Lunch discount",
sd.n_racuna AS "Monthly Statement",
-- dodan limit za parking
b.acs_limit AS "Long term parking"
FROM   carpark_calc a
LEFT OUTER JOIN kupci b ON (a.id_lastnika=b.id)
LEFT OUTER JOIN kont_osb_lastnik kn ON (a.id_lastnika=kn.id_osebe)
LEFT OUTER JOIN kupci b1 ON (kn.id_lastnika=b1.id)
LEFT OUTER JOIN nnodnos o ON (kn.odnos=o.sifra)
LEFT OUTER JOIN m_storitve sd ON (a.id_storitve=sd.id_storitve)
LEFT OUTER JOIN m_storitve sn ON (a.id_storitve_night=sn.id_storitve)
LEFT OUTER JOIN m_storitve sl ON (a.id_storitve_lunch=sl.id_storitve)
WHERE  TRUNC(a.arrival) BETWEEN to_date({?From date|DATE},'dd.mm.yyyy') AND to_date({?To date|DATE},'dd.mm.yyyy')
ORDER BY CASE WHEN a.member_id IS NOT NULL THEN a.member_id ELSE b1.id_member END,a.arrival
;