SELECT
  CASE WHEN a.ime IS NULL THEN a.priimek ELSE a.priimek || ', ' || a.ime END AS "Member Name",
  a.id_member AS "Member No.",
  c.interni_opis AS " Member Type",
  d.oznaka AS " Nationality",
  e.mobile_phone AS "Mobile No.",
  e.company_name AS "Company",
  a.occupation AS "Position",
  e.business_address AS "Company Address",
  e.company_email AS "Company Email",
  e.company_telephone AS "Office Number",
  f.date_approve_reject AS "Join Date",
  g.interni_opis AS "Status",
  CASE WHEN a.mesto IS NULL AND a.posta IS NULL THEN a.naslov
       WHEN a.mesto IS NULL AND a.posta IS NOT NULL THEN a.naslov || ' ' || a.posta
       WHEN a.mesto IS NOT NULL AND a.posta IS NULL THEN a.naslov || ' ' || a.mesto
  END AS "Home Address",
  e.overseas_address AS "Overseas Address"
FROM kupci a
LEFT OUTER JOIN kupci_vrsta b ON (a.id=b.id_kupca)
LEFT OUTER JOIN nnvrskup c ON (b.vrsta=c.sifra AND c.vrsta='YC')
LEFT OUTER JOIN nndrzave d ON (a.citizenship=d.sifra)
LEFT OUTER JOIN v_naslovi e ON (a.id=e.id_kupca)
LEFT OUTER JOIN application_form f ON (a.id_app_form=f.id)
LEFT OUTER JOIN nnmembstatus g ON (f.status=g.sifra)
WHERE nvl(a.id_app_form,0) <> 0
AND f.date_approve_reject BETWEEN to_date({?Join Date from|DATE},'dd.mm.yyyy') 
AND to_date({?Join Date to|DATE},'dd.mm.yyyy')
ORDER BY a.id_member
;
