SELECT 
  idm AS "Membership No.",
  ime AS "Member Name",
  datum AS "Date",
  sum(znes) AS "Balance",
  sum(ena) AS "1 Month",
  sum(dva) AS "2 Months",
  sum(tri) AS "More than 2 Months"
FROM (
SELECT 
  k.id_member AS idm,
  CASE WHEN k.ime IS NULL THEN k.priimek ELSE k.priimek || ', ' || k.ime END AS ime,
  to_date({?Migration date|DATE},'dd/mm/yyyy') AS datum,
  CASE WHEN s.datum = to_date({?Migration date|DATE},'dd/mm/yyyy') THEN
       CASE WHEN s.sdk_rn_pl = 'P' THEN s.znesek ELSE (s.znesek * -1) END 
       ELSE 0
  END AS znes,
  CASE WHEN s.datum = add_months(to_date({?Migration date|DATE},'dd/mm/yyyy'),-1) THEN
       CASE WHEN s.sdk_rn_pl = 'P' THEN s.znesek ELSE (s.znesek * -1) END 
       ELSE 0
  END AS ena,
  CASE WHEN s.datum = add_months(to_date({?Migration date|DATE},'dd/mm/yyyy'),-2) THEN
       CASE WHEN s.sdk_rn_pl = 'P' THEN s.znesek ELSE (s.znesek * -1) END 
       ELSE 0
  END AS dva,
  CASE WHEN s.datum = add_months(to_date({?Migration date|DATE},'dd/mm/yyyy'),-3) THEN
       CASE WHEN s.sdk_rn_pl = 'P' THEN s.znesek ELSE (s.znesek * -1) END 
       ELSE 0
  END AS tri
FROM saldkont s
JOIN kupci k ON (s.id_kupca=k.id)
WHERE vrsta_racuna IN ('OTB','OTV')
)
GROUP BY idm,ime,datum
ORDER by idm;
