DELETE FROM REPORT_SQL WHERE COMPUTER={?Computer};
-- STR1: LOKACIJA
-- STR2: OBJEKT
-- NUM1: TOTAL_PRIVEZI
-- NUM2: TOTAL_ZASEDENOST
-- NUM3-NUM8: ZASEDENOST PO VRSTI (0-15, 16-30 ...)

INSERT INTO REPORT_SQL (COMPUTER, STR1, STR2, NUM9, NUM1, NUM2, NUM3, NUM4, NUM5, NUM6, NUM7, NUM8)
WITH X AS
(SELECT {?Computer} KOMP, LOKACIJA, OBJEKT, LOCATIONID, OPIS, COUNT(PRIVEZ) PRIVEZI, COUNT(ZASEDENOST) ZASEDENOST
FROM (select l.opis lokacija, privez.objekt OBJEKT, pomol.nnlocation_id locationid, privez.N_PRIVEZA PRIVEZ, NVL(privez.dolzina, 0) dolzina,
case when count(ZASEDENOST.rd_id_privez)>0 then 1 ELSE NULL end zasedenost
from NNPOMOL pomol
INNER JOIN nnprivez privez on privez.kategorija = pomol.sifra
INNER JOIN nnlocation l on l.id=pomol.nnlocation_ID
left JOIN v_rezervac zasedenost on zasedenost.rd_id_privez=privez.id_privez
and rd_date_from <={?To} AND rd_date_to>={?From}
? and vrsta ={?P_C}
group by l.opis, privez.objekt, pomol.nnlocation_id, privez.N_PRIVEZA, privez.dolzina) ZASEDENOST
LEFT JOIN (
SELECT 0 DOL, 10 GOR, '10' OPIS from dual UNION
SELECT 10.01 DOL, 12 GOR, '12' OPIS from dual UNION
SELECT 12.01 DOL, 15 GOR, '15' OPIS from dual UNION
SELECT 15.01 DOL, 18 GOR, '18' OPIS from dual UNION
SELECT 18.01 DOL, 23 GOR, '23' OPIS from dual UNION
SELECT 23.01 DOL, 999 GOR, '23+' OPIS from dual
) ON DOLZINA BETWEEN DOL AND GOR
GROUP BY LOKACIJA, OBJEKT, LOCATIONID, OPIS)
SELECT *
FROM   (SELECT KOMP, LOKACIJA, OBJEKT, LOCATIONID, OPIS, ZASEDENOST
        ,SUM(PRIVEZI) OVER (PARTITION BY KOMP, LOKACIJA, OBJEKT) AS TOTAL_PRIVEZI        
        ,SUM(ZASEDENOST) OVER (PARTITION BY KOMP, LOKACIJA, OBJEKT) AS TOTAL_ZASEDENOST
        FROM  X
       )
PIVOT  
(SUM(NVL(ZASEDENOST,0)) 
 FOR OPIS IN ('10', '12', '15', '18', '23', '23+')
);

